BEGIN{
FS="::"
toanalyse=0
firstvar=1

print "!! ================================================================================================================================"
print "!! SUBROUTINE   : config_livestock_parameters 												  "
print "!!																  "
print "!>\BRIEF          This subroutine will read the imposed values for the global livestock						  "
print "!! parameters 						  "
print "!!																  "
print "!! DESCRIPTION  : None														  "
print "!!																  "
print "!! RECENT CHANGE(S): None													  "
print "!!																  "
print "!! MAIN OUTPUT VARIABLE(S): None													  "
print "!!																  "
print "!! REFERENCE(S) : None														  "
print "!!																  "
print "!! FLOWCHART    : None														  "
print "!! \n																  "
print "!_ ================================================================================================================================"
print "																	  "
print "  SUBROUTINE config_livestock_parameters												  "
print "																	  "
print "    IMPLICIT NONE														  "
print "																	  "
print "    !! 0. Variables and parameters declaration											  "
print "																	  "
print "    !! 0.4 Local variable													  "
print "																	  "
print "    INTEGER(i_std) :: jv                   !! Index (untiless)									  "
print "																	  "
print "    !_ ============================================================================================================================"


}
{
    if($2!="")
    {
	if(toanalyse) 
	{
	    if(!firstvar)
	    {
		print "!Config Def ="valuestoprint
		print "!Config Help ="helptoprint
		print "!Config Units = "myunit
		print "CALL getin_p('"toupper(myvar)"',"myvar")"
	    }
	}
	var="echo \""$2"\"|sed -e 's/\=\.\*//'"
	var | getline myvar
	close(var)

	var="echo \""myvar"\"|sed -e 's/_mtc//'"
	var | getline myvar
	close(var)

	var="echo \""myvar"\"|sed -e 's/\ //g'"
	var | getline myvar
	close(var)

	if(myvar=="LMTC_name") toanalyse=1

	if(myvar=="nvmc") myvar="nvm"
	if(myvar=="LMTC_name") myvar="LIVESTOCK_name"

	if(myvar=="nvm")
	{
	    declar="echo \""$1"\"|sed -e 's/PARAMETER/SAVE/'"
	    declar | getline mydeclar
	    close(declar)
	}
	else
	{
	    declar="echo \""$1"\"|sed -e 's/PARAMETER/ALLOCATABLE, SAVE/'"
	    declar | getline mydeclar
	    close(declar)
	}
	declar="echo \""mydeclar"\"|sed -e 's/nvmc/:/'"
	declar | getline mydeclar
	close(declar)


	comment="echo \""$2"\"|sed -e 's/\\(.*\\)\!!\\(.*\\)/\\2/'"
	comment | getline mycomment
	close(comment)

	unit="echo \""mycomment"\"|grep -o '(.*)' | sed -e 's/(/[/' | sed -e 's/)/]/' "
        unit | getline myunit
	close(unit)

	
	if(toanalyse) 
	{
	    valuestoprint=""
	    helptoprint=""
	    myvalues=""
	    firstvar=0
	    printf("\n")
	    print "!Config Key   = "toupper(myvar)
	    print "!Config Desc = "mycomment
	    print "!Config if ="


	}
    }
    else
    {
	comment="echo \""$1"\"|sed -e 's/\ //g'"
	comment | getline mycomment
	close(comment)
	if(substr(mycomment,1,1)=="&")
	{
	    values=substr(mycomment,2)
	    values="echo \""values"\"|sed -e 's/&.*//g'|sed -e 's/!!.*//g'"
	    values | getline myvalues
	    close(values)
	    valuestoprint=sprintf("%s%s",valuestoprint,myvalues)

#comment="echo \""$1"\"|sed -e 's/\\([^!]*\\)\\(.*\\)/\\2/'"
	}
	help="echo \""$1"\"|grep -o '!!.*'|sed -e 's/!//g'"
	help | getline myhelp
	close(help)
	if(myhelp!="") 
	{
	    helptoprint=sprintf("%s%s",helptoprint,myhelp)
	    myhelp=""
	}
	    
#	else
#	{
#	    comment="echo \""$1"\"|sed -e 's/\\([^!]*\\)\\(.*\\)/\\2/'"
#	    comment | getline mycomment
#	    close(comment) 
#	}
    }
}
END{
    print "!Config Def ="valuestoprint
    print "!Config Help ="helptoprint
    print "!Config Units = "myunit
    print "CALL getin_p('"toupper(myvar)"',"myvar")"
    print "SUBROUTINE config_livestock_parameters"
}
